Subject: bug#33791: 26.1; Eshell on Windows connecting to GNU/Linux machine using TRAMP and plink: env: ‘c:/home/jordan/test.sh’: No such file or directory

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Dec 2018 10:18:05 +0200

> From: Michael Albinus <[email-masked]>
> Cc: Jordan Wilson <[email-masked]>,  [email-masked]
> Date: Thu, 27 Dec 2018 14:33:40 +0100
> 
> I've tried to debug it, but no chance to do it on Windows.
> Debugging C sources is a no-go for me there.

Can you tell why?  I do that all the time, so maybe I could help.

> Works for me, also on Windows, but I have modified it slightly in order
> to make it more explicit. I have applied
> 
> > +   (or
> > +    ;; locate-file doesn't support remote file names, so detect them
> > +    ;; and support them here by hand.
> > +    (and (file-remote-p (expand-file-name dir))
> ...

You mean, testing file-remote-p _in_addition_ to the tests I proposed?
Is the file-name-absolute-p test needed if we test with file-remote-p?

> It is also OK for me to push it to the emacs-26 branch.

Done.